Project

General

Profile

Bug #2824

Corrupted double-linked for Raspbian Stretch when running osmocom_fft (and any other program using osmosdr.source

Added by rrr6399 13 days ago.

Status:
New
Priority:
High
Assignee:
-
Target version:
-
Start date:
01/10/2018
Due date:
% Done:

0%

Resolution:
Spec Reference:

Description

I have been trying to get osmocom to work on a fully upgraded Raspberry Pi. The same hardware worked fine with the Jessie OS.

I'm getting the following error when I run osmocom_fft:

osmocom_fft
linux; GNU C++ version 6.2.0 20161010; Boost_106100; UHD_003.009.005-0-unknown

Warning: failed to XInitThreads()
gr-osmosdr 0.1.4 (0.1.4) gnuradio 3.7.10
built-in source types: file osmosdr fcd rtl rtl_tcp uhd miri hackrf bladerf rfspace airspy soapy redpitaya
  • Error in `/usr/bin/python': corrupted double-linked list: 0x0240e048 ***

It appears that it happens during this call osmosdr.source(options,args).

Here is some other info in case it helps:

$lsusb
Bus 001 Device 004: ID 0bda:2838 Realtek Semiconductor Corp. RTL2838 DVB-T

$ sudo rtl_test -t
Found 1 device(s):
0: Realtek, RTL2838UHIDIR, SN: 00001126

Using device 0: Generic RTL2832U OEM
Found Elonics E4000 tuner
Supported gain values (14): -1.0 1.5 4.0 6.5 9.0 11.5 14.0 16.5 19.0 21.5 24.0 29.0 34.0 42.0
Sampling at 2048000 S/s.
Benchmarking E4000 PLL...
[E4K] PLL not locked for 51000000 Hz!
[E4K] PLL not locked for 2205000000 Hz!
[E4K] PLL not locked for 1103000000 Hz!
[E4K] PLL not locked for 1241000000 Hz!
E4K range: 52 to 2204 MHz
E4K L-band gap: 1103 to 1241 MHz

$ uname -a
Linux raspberrypi 4.9.59-v7+ #1047 SMP Sun Oct 29 12:19:23 GMT 2017 armv7l GNU/Linux

Any ideas whey I'm seeing this error now?

Also available in: Atom PDF